/*
	File:		FT.cc

	Function:	Test freetype render stuff

	Author:		Andrew Willmott

	Notes:		
*/

#include "FTRenderer.h"
#include <stdlib.h>

Int main(Int argc, Char *argv[])
{
	ByteImage	img;
	FTRenderer	fr;
	
	if (argc != 4)
		cout << "usage: fttest <font path> <point size> <text>" << endl;
	else
	{
		fr.SetPointSize(atoi(argv[2]));
		fr.SetFace(argv[1]);
		fr.RenderText(argv[3]);
		fr.image.Save(FileName().SetPath("out.ppm"));
	}
	
	return(0);
}
