/*
	File:           Samples.h

	Function:       Gives samples over various unit entities.
*/

#include "gcl/Geometry.h"

const Int kNumSampArrays = 16;
const Int kMaxStratSamples = 1024;

extern GCLReal tSquareSamples16[16][16][2];
extern GCLReal tTriangleSamples16[16][16][2];
extern GCLReal tSquareSamples[1024][2];
extern GCLReal tTriangleSamples[1024][2];
extern GCLReal tCircleSamples[1024][2];
extern GCLReal tCubeSamples[1024][3];
extern GCLReal tSphereSamples[1024][3];
