/*
	File:			VLTest.h

	Function:		Header file for Test.cc.
					
	Author(s):		Andrew Willmott

	Copyright:		(c) 1995-2000, Andrew Willmott
 */

// 	Remember: We stress your compiler so you don't have to!

#ifndef __VLTEST__
#define __VLTEST__

// Include headers | templates

#define VL_V_REAL Double
#define VL_V_SUFF(X) X ## s
#define VL_M_REAL Double
#define VL_M_SUFF(X) X ## s

#include "vl/Mat2.h"
#include "vl/Mat3.h"
#include "vl/Mat4.h"
#include "vl/Mat.h"
#include "vl/SparseMat.h"
#include "vl/Solve.h"

#include "vl/Transform.h"

#include "vl/VLUndef.h"
#define VL_V_REAL Float
#define VL_V_SUFF(X) X ## r
#define VL_M_REAL Double
#define VL_M_SUFF(X) X ## s

#include "vl/Vec2.h"
#include "vl/Vec3.h"
#include "vl/Vec4.h"
#include "vl/Vec.h"
#include "vl/SparseVec.h"
#include "vl/Mixed.h"
#include "vl/Solve.h"

#endif
