/*
    File:       Jacobi.h

    Function:	

    Author:     Andrew Willmott

    Copyright:  (c) 2000, Andrew Willmott
*/

#ifndef __Jacobi__
#define __Jacobi__

#include "gcl/Geometry.h"
#include "vl/VLf.h"

Bool Jacobi(const Mat3d &m, Vec3d &eigVals, Mat3d &eigVecs);

typedef Vec4f Quatf;
Vec4f MakeQuatf(const VecTrans &R);

#endif
