# 
# Setup file for master source directory.
# 'source' this from your csh variant
#

if (${?REACTOR} == 0) then
	echo "setting REACTOR to" `pwd`
	setenv REACTOR `pwd` 
	unsetenv REACTOR_BIN
endif

if !(-e $REACTOR/setup.csh) then
	echo "*** ERROR: $REACTOR/setup.csh does not exist"
	exit
endif

if (${?REACTOR_BIN} == 0) then
	setenv REACTOR_BIN $REACTOR/bin
	setenv REACTOR_SCRIPTS $REACTOR/scripts
	setenv PATH ${PATH}:${REACTOR_BIN}:${REACTOR_SCRIPTS}
	if (${?LD_LIBRARY_PATH} == 0) then
		setenv LD_LIBRARY_PATH $REACTOR/lib
	else
		setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:$REACTOR/lib
	endif
endif

